CALIBRE-SERVER(1)

NAME
calibre-server - calibre-server

calibre-server [opciones] [ruta de acceso a la carpeta de biblioteca...]

Iniciar el servidor de contenido de calibre. El servidor de contenidos de calibre expone las bibliotecas calibre en Internet. Puede especificar la ruta de acceso a las carpetas de biblioteca como argumentos de calibre-server. Si no especifica ninguna ruta, se utilizarán todas las bibliotecas que el programa principal de calibre conoce.

Cuando alguno de los argumentos de calibre-server contenga espacios, póngalo entre comillas. Por ejemplo: "/some path/with spaces"

[OPCIONES]

--access-log
    Ruta de acceso para el registro de accesos. Este registro contiene información sobre los clientes que se conectan al servidor y realizan peticiones. De manera predeterminada los accesos no se registran.

--ajax-timeout
    Tiempo (en segundos) para esperar una respuesta del servidor al realizar peticiones.

--auth-mode
    Elegir el tipo de autenticación usada. Establece el modo de autenticación HTTP usado por el sevidor. Ponga «basic» si tiene el servidor tras un proxy SSL. En caso contrario déjelo en «auto», que usará «basic» si se configura SSL y «digest» si no.

--auto-reload
    Volver a cargar automáticamente el servidor cuando cambie el código fuente. Útil para el desarrollo. Debe especificar también un valor pequeño para el tiempo de espera de apagado.

--ban-after
    Número de fallos de conexión para bloquear. El número de fallos de conexión tras el que se bloquea una dirección IP

--ban-for
    Bloquear direcciones IP que tienen fallos de conexión continuados. Bloquear temporalmente el acceso para las direcciones IP que tienen fallos continuados de conexión durante el número de minutos especificado. Es útil para evitar intentes de adivinar las contraseñas. Si se establece en cero, no se realiza ningún bloqueo.

--book-list-mode
    Elegir el modo de lista de libros predeterminado. Establecer el modo de lista de libros predeterminado para nuevos usuarios. Cada usuario puede establecer su propia configuración. El modo predeterminado es el cuadro de portadas.

--compress-min-size
    Tamaño mínimo para usar compresión de datos (en bytes).

--custom-list-template
    Ruta de acceso a un archivo JSON que contiene una plantilla para el modo de lista de libros personalizada. La manera más sencilla de crear tal plantilla es ir a Preferencias > Compartir por la red > Plantilla de lista de libros en calibre, crear una plantilla y exportarla.

--daemonize
    Ejecutar el proceso en segundo plano como servicio (sólo Linux).

--displayed-fields
    Restringir los campos definidos por el usuario que se muestran. Lista de campos de metadatos definidos por el usuario, separados por comas, que el servidor de contenidos mostrará en las vistas /opds y /mobile. Si especifica esta opción, cualquier campo que no esté en la lista no se mostrará. Por ejemplo: my_rating,my_tags

--enable-allow-socket-preallocation, --disable-allow-socket-preallocation
    Preasignación de sockets, por ejemplo, con activación de sockets systemd. De manera predeterminada esta opción está activada.

--enable-auth, --disable-auth
    Autenticación por contraseña para acceder al servidor. Normalmente, el servidor no tiene restricciones, cualquiera puede acceder a él. Puede restringir el acceso a usuarios predefinidos con esta opción. De manera predeterminada esta opción está desactivada.

--enable-fallback-to-detected-interface, --disable-fallback-to-detected-interface
    Recurrir a la interfaz detectada automáticamente. Si por alguna razón el servidor no se puede asociar a la interfaz especificada en la opción «listen_on», intentará detectar una interfaz que se conecte con el mundo exterior y asociarse a ella. De manera predeterminada esta opción está activada.

--enable-local-write, --disable-local-write
    Permitir hacer cambios a las conexiones locales sin autenticación. Normalmente, si no activa la autenticación, el servidor funciona en modo de sólo lectura, para que los usuarios anónimos no puedan hacer cambios en la biblioteca. Esta opción permite hacer cambios a cualquiera que se conecte desde el mismo equipo donde se ejecuta el servidor. Esto es útil si quiere ejecutar el servidor sin autenticación y usar calibredb para hacer cambios en las bibliotecas de calibre. Tenga en cuenta que si activa esta opción permitirá que cualquier programa que se ejecute en el equipo pueda hacer cambios en las bibliotecas de calibre. De manera predeterminada esta opción está desactivada.

--enable-log-not-found, --disable-log-not-found
    Registrar peticiones HTTP 404 (No encontrado). Normalmente, el servidor registra todas las peticiones HTTP de recursos que no se encuentran. Esto puede generar gran cantindad de registros inútiles si el servidor es visitado por bots. Use esta opción para desactivarlo. De manera predeterminada esta opción está activada.

--enable-use-bonjour, --disable-use-bonjour
    Publicitar OPDS a través de BonJour. Publicitar los canales OPDS a través del servicio BonJour, de manera que las aplicaciones de lectura basadas en OPDS puedan detectar y conectarse al servidor automáticamente. De manera predeterminada esta opción está activada.

--enable-use-sendfile, --disable-use-sendfile
    Usar zero-copy en la transferencia de archivos para aumentar el rendimiento. Esto usará transferencias con zero-copy en el núcleo al enviar archivos por la red, lo que aumenta el rendimiento. Sin embargo, puede causar transferencias corruptas en algunos sistemas de archivos defectuosos. Si sufre transferencias corruptas, desactívelo. De manera predeterminada esta opción está activada.

--help, -h
    mostrar este mensaje de ayuda y terminar

--ignored-fields
    Campos de metadatos definidos por el usuario ignorados. Lista de campos de metadatos definidos por el usuario, separados por comas, que el servidor de contenidos no mostrará en las vistas /opds y /mobile. Por ejemplo: my_rating,my_tags

--listen-on
    La interfaz en la que esperar conexiones. De manera predeterminada se esperan conexiones en todas las interfaces disponibles. Puede cambiar esto a, por ejemplo, «127.0.0.1» para esperar conexiones sólo del equipo local, o a «::» para esperar todas las conexiones IPv6 e IPv4.

--log
    Ruta de acceso para el registro del servidor. Este registro contiene información del servidor y errores, no registros de acceso. De manera predeterminada se escribe en stdout (la salida estándar).

--manage-users
    Gestionar la base de datos de usuarios con permiso para conectar con este servidor. Véase también la opción --userdb.

--max-header-line-size
    Tamaño máximo de una cabecera HTTP única (en KB).

--max-job-time
    Tiempo máximo para los procesos. Tiempo máximo de ejecución permitido para un proceso (en minutos). Cero significa sin límite.

--max-jobs
    Número máximo de procesos. Los procesos se crean según se necesiten y se usan para tareas complejas como preparar un libro para visualizarlo, añadir libros, convertirlos, etc. Normalmente, el número máximo de procesos se basa en el número de núcleos de CPU. Puede controlarlo con esta configuración.

--max-log-size
    Tamaño máximo de archivo de registro (en MB). El tamaño máximo de los archivos de registro generados por el servidor. Cuando el registro se hace mayor que este tamaño, se rota automáticamente. Un valor de cero desactiva la rotación de registros.

--max-opds-items
    Número máximo de libros en los canales OPDS. El número máximo de libros que el servidor devolverá en un único canal de adquisición OPDS.

--max-opds-ungrouped-items
    Nímero máximo de elementos sin agrupar en los canales OPDS. Agrupar elementos en categorías tales como autores o etiquetas por la primera letra cuando hay más de este número de elementos. Un valor de cero desactiva el agrupamiento.

--max-request-body-size
    Tamaño máximo permitido para los archivos subidos al servidor (en MB).

--num-per-page
    Numero de libros que se mostrarán en una página. El número de libros que se muestran en una sola página en el navegador.

--pidfile
    Escribir en PID del proceso en el archivo especificado

--port
    El puerto en el que esperar conexiones.

--search-the-net-urls
    Ruta de acceso a un archivo JSON que contiene URL para la función «Buscar en internet». La manera más sencilla de crear tal archivo es ir a Preferencias > Compartir por la red > Buscar en internet en calibre, crear los URL y exportarlos.

--shutdown-timeout
    Tiempo de espera total en segundos para un cierre limpio.

--ssl-certfile
    Ruta de acceso al archivo de certificado SSL.

--ssl-keyfile
    Ruta de acceso al archivo de clave privada SSL.

--timeout
    Tiempo (en segundos) tras el que se cierra una conexión inactiva.

--url-prefix
    Un prefijo para añadir a todos los URL. Útil si quiere ejecutar este servidor detrás de un proxy inverso. Por ejemplo, usar /calibre como el prefijo de URL.

--userdb
    Ruta de acceso a la base de datos para autenticación. La base de datos es un archivo SQLite. Para crearlo, usar --manage-users. Para más información sobre la administración de usuarios, ver https://manual.calibre-ebook.com/es/server.html#managing-user-accounts-from-the-command-line-only

--version
    mostrar el número de versión del programa y terminar

--worker-count
    Número de procesos usados para gestionar peticiones.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal